# EditMediaGroupUpdate - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.update.MediaGroupUpdates / EditMediaGroupUpdate

# EditMediaGroupUpdate

(common) `interface EditMediaGroupUpdate : BaseEditMessageUpdate, MediaGroupUpdate` (source)

### Properties

(common)

#### data

`abstract val data: MediaGroupMessage`

(common)

#### origin

`abstract val origin: BaseMessageUpdate`

### Inheritors

(common)

#### EditChannelPostMediaGroupUpdate

`data class EditChannelPostMediaGroupUpdate : EditMediaGroupUpdate`

(common)

#### EditMessageMediaGroupUpdate

`data class EditMessageMediaGroupUpdate : EditMediaGroupUpdate`